---
title: Invalid Request Payload format - non JSON
slug: fourkites-api-reference/invalid-request-payload-format-non-json
createdAt: 2024-02-05T08:13:55.000Z
---

:::ApiMethodV2
```json
{
  "name": "",
  "method": "POST",
  "url": "https://api.fourkites.com/load/update/dispatcher-api/async",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "A7Tsvgnmw7rglHtFt1mgt",
        "language": "curl",
        "code": "curl --location 'https://api.fourkites.com/load/update/dispatcher-api/async' \\\n--header 'Content-Type: application/json' \\\n--header 'apikey: testkey' \\\n--data '<note>\n    <to>John</to>\n    <from>Doe</from>\n    <heading>Reminder</heading>\n    <body>Test</body>\n</note>'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "A7Tsvgnmw7rglHtFt1mgt"
  },
  "results": {
    "languages": [
      {
        "id": "WddmdrqmVG0OooSGjBrDt",
        "language": "400",
        "customLabel": "",
        "code": "{\n  \"requestId\": \"e9adca83-f57a-40c4-8201-4b0a27bf4fdb\",\n  \"status\": \"400\",\n  \"message\": \"Invalid JSON format @ index - [Source: (org.springframework.util.StreamUtils$NonClosingInputStream); line: 1, column: 2]\",\n  \"timestamp\": \"2023-09-14T17:52:59.750862\"\n}"
      }
    ],
    "selectedLanguageId": "WddmdrqmVG0OooSGjBrDt"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "bC90nbHqeI1fMzWvofd6O",
  "legacyHash": "bC90nbHqeI1fMzWvofd6O"
}
```
:::

## Header

***

| **Content-Type** | application/xml |
| ---------------- | --------------- |
| **apikey**       | testkey         |

## Body

***

```json
<note>
    <to>John</to>
    <from>Doe</from>
    <heading>Reminder</heading>
    <body>Test</body>
</note>
```
